
Foreman - Bug #24162

Problems with Fog-oVirt after update to Foreman-1.18RC3

07/05/2018 09:00 AM - Joop van de Wege

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Packaging   

Target version: 1.18.0   

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases: 1.18.0-RC3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/2726

  

Description

I have upgrade my test env to FM-1.18-RC3 and now I can't create any VM anymore using my oVirt-4.2.4 environment.

The following error is thrown:

2018-07-05T10:42:31 [I|app|f694e] Current user: admin (administrator)

2018-07-05T10:42:31 [I|app|f694e]   Rendered compute_resources_vms/form/ovirt/_base.html.erb (70.2ms)

2018-07-05T10:42:31 [I|app|f694e]   Rendered hosts/_compute_detail.html.erb (76.5ms)

2018-07-05T10:42:31 [I|app|f694e]   Rendered hosts/_compute.html.erb (249.1ms)

2018-07-05T10:42:31 [W|app|f694e] Failed to render compute resource template

ActionView::Template::Error: undefined method `sockets' for #<Fog::Compute::Ovirt::Server:0x00000000097e9e98>

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.6/lib/action_view/helpers/tags/base.rb:40:in `public_send'

system is up to date as of 5-7-2018 and restarted for good measure.

History

#1 - 07/05/2018 09:11 AM - Tomer Brisker

- translation missing: en.field_release set to 330

Thanks for testing RCs and reporting! marking for 1.18.0 inclusion

#2 - 07/05/2018 09:16 AM - Tomer Brisker

- Category changed from Compute resources - oVirt to Packaging

Looks like for some reason fog-ovirt in the 1.18 repo is still at version 1.0.3, when it should be 1.0.4 to support sockets.

#3 - 07/10/2018 10:16 AM - Tomer Brisker

- Status changed from New to Closed

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman-packaging/pull/2726 added

- Fixed in Releases 1.18.0 added

Should be fixed in packaging for 1.18.0.
